Sentiment Categories
Sentiment categories classify the sentiment of relationships and activities (e.g., positive, neutral, negative).
Use the Datastore_SentimentCategory endpoint to query sentiment categories.
Endpoints
List Sentiment Categories
GET
/v1/odata/Datastore_SentimentCategorySingle Sentiment Categorie
GET
/v1/odata/Datastore_SentimentCategory({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Relationship | Relationship | 1:N | Relationship |
| Activity | Activity | 1:N | Activity |
Expanding Relationships
GET
/v1/odata/Datastore_SentimentCategory({id})?$expand=RelationshipNavigating Relationships
GET
/v1/odata/Datastore_SentimentCategory({id})/RelationshipFiltering Examples
GET
/v1/odata/Datastore_SentimentCategory?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_SentimentCategory?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_SentimentCategory?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_SentimentCategory?$filter=IsDefault eq {IsDefault}&$top={top}